PHP: Hypertext Preprocessor, typically called PHP, is a popular multi-paradigm programming language, which can be used to develop dynamic sites with interactive components such as forums, e-learning portals or social networking sites. In contrast with static HTML-based sites, a PHP-powered website can serve different web content to each visitor under the exact same URL. Considering the fact that PHP-based apps can be managed through one single Control Panel tool, which you can sign on to from any web browser, you won’t have to possess any computer programming abilities or practical experience in order to maintain a PHP website. The fact that hundreds of millions of websites all over the world are PHP-based is an indication of the language’s popularity and simplicity of use. You only ought to check whether or not the server where you host your website supports the same exact PHP version as the one that you used while building the website.

PHP 4 and PHP 5 Support in Shared Website Hosting

With our shared website hosting, you will be able to select which version of PHP will be active for your account, as multiple versions are supported on our servers. With only one click, you will be able to switch between PHP 5.5, 5.4, 5.3, 5.2 and 4 and each time a new version is published in the future, we will add it to the Hepsia Control Panel without removing the earlier ones. In this way, you will be able to host all the sites that you’ve developed through the years. In stark contrast to lots of other hosting providers, we won’t compel you to update such sites, because a script may be outdated, but this does not mean that it’s insecure as you may have done modifications to its source code to plug safety breaches. For your convenience, you’ll even be able to select a different PHP version for each website hosted in your shared hosting account.

PHP 4 and PHP 5 Support in Semi-dedicated Servers

In case you have a website created in a previous PHP version and you’ve donated time and effort towards setting it up, fixing security breaches and posting web page content, you will need to find a web hosting service that can support it, since most hosting providers nowadays offer support only for the newest PHP version and abandon the older ones. We, however, have decided to allow you to choose the version that your own websites require. Our semi-dedicated hosting plans support multiple versions of PHP 5 as well as PHP 4, which implies that you will be able to run both older and newer scripts without losing any manual modifications or misspending time trying to make your sites compatible with the web hosting platform. The version can be changed via the Hepsia Control Panel and such a change will apply to the entire semi-dedicated account, but you will also have the ability to select a different version for each individual site hosted in your account by using an .htaccess configuration file.